/* defconf.c generated by valac 0.26.1, the Vala compiler
 * generated from defconf.vala, do not modify */

/*
 * defconf.vala - This file is part of the Geany MultiTerm plugin
 *
 * Copyright (c) 2012 Matthew Brush <matt@geany.org>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */
/*
 * This file contains the default configuration which will be written
 * to the user's config dir if it doesn't exist.
 *
 * Try to make all defaults apply from here rather than hardcoded in
 * other source files.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>




#define MULTI_TERM_default_config "######################################################################" \
"##\n" \
"# MultiTerm Configuration File                                        " \
" #\n" \
"#=====================================================================" \
"=#\n" \
"#                                                                     " \
" #\n" \
"# You can configure the behaviour of the MultiTerm plugin by adjusting" \
" #\n" \
"# the values in this file.  Lines beginning with a # are considered   " \
" #\n" \
"# comments and are left as is.  Group/section names go in [] and keys " \
" #\n" \
"# and values are separated by an = symbol.  Where more than one value " \
" #\n" \
"# can be supplied, as in a list, separate the values with the ; symbol" \
".#\n" \
"#                                                                     " \
" #\n" \
"# Groups/section names beginning with 'shell=' denote a type of       " \
" #\n" \
"# terminal/shell that can be opened.  The name of the shell follows   " \
" #\n" \
"# the = symbol. Each shell can have it's own specific VTE             " \
" #\n" \
"# configuration and can run it's own child command.  As an example, if" \
" #\n" \
"# you wanted to use the Python interpreter shell instead of the       " \
" #\n" \
"# default shell, specify 'command=python'.                            " \
" #\n" \
"#                                                                     " \
" #\n" \
"# Keys/values commented out or empty values will cause MultiTerm to   " \
" #\n" \
"# use default values.                                                 " \
" #\n" \
"#                                                                     " \
" #\n" \
"######################################################################" \
"##\n" \
"\n" \
"#=====================================================================" \
"==\n" \
"# General Settings\n" \
"#=====================================================================" \
"==\n" \
"[general]\n" \
"\n" \
"# Where to put the multiterm notebook in the Geany user interface\n" \
"# one of: sidebar, msgwin\n" \
"location=msgwin\n" \
"\n" \
"# Make tabs take up as much space as is available\n" \
"full_width_tabs=true\n" \
"\n" \
"# Allow reordering of tabs\n" \
"reorderable_tabs=true\n" \
"\n" \
"# When there is only one tab left in the notebook, hide the tabs area\n" \
"hide_tabs_on_last=true\n" \
"\n" \
"# When launching an external terminal from the MultiTerm context menu," \
"\n" \
"# use this terminal.  Good choices include xterm, gnome-terminal,\n" \
"# xfce4-terminal or konsole.\n" \
"external_terminal=xterm\n" \
"\n" \
"# Save which shells were open when Geany closes and restore their\n" \
"# tabs when it restarts.\n" \
"save_tabs=false\n" \
"\n" \
"# Whether to show tabs or not\n" \
"show_tabs=true\n" \
"\n" \
"bg_color=#ffffff\n" \
"fg_color=#000000\n" \
"font=Monospace 9\n" \
"\n" \
"\n" \
"#=====================================================================" \
"==\n" \
"# Default Shell\n" \
"#=====================================================================" \
"==\n" \
"[shell=default]\n" \
"\n" \
"# This will be the tabs default tab label and won't change unless\n" \
"# track_title is set to true.\n" \
"name=Default Shell\n" \
"\n" \
"# This is the command to fork in the VTE, leave blank for default shel" \
"l\n" \
"command=\n" \
"\n" \
"# Make the tab's label track the VTE title\n" \
"track_title=true\n" \
"\n" \
"# Background color, foreground color and font for the VTE\n" \
"bg_color=#ffffff\n" \
"fg_color=#000000\n" \
"font=Monospace 9\n" \
"\n" \
"# Whether to allow bold fonts in the VTE\n" \
"#allow_bold=true\n" \
"\n" \
"# Whether to beep when the child outputs a bell sequence.\n" \
"#audible_bell=true\n" \
"\n" \
"# Controls whether the cursor blinks or not, one of:\n" \
"#   system (or blank), on, off\n" \
"#cursor_blink_mode=system\n" \
"\n" \
"# Controls the shape of the VTE cursor, one of:\n" \
"#   block, ibeam, underline\n" \
"#cursor_shape=block\n" \
"\n" \
"# Controls how erasing characters is handled, one of:\n" \
"#   auto, ascii_backspace, ascii_delete, delete_sequence, tty\n" \
"#backspace_binding=auto\n" \
"\n" \
"# Whether to hide the mouse pointer on key press if it's in the\n" \
"# terminal window\n" \
"#pointer_autohide=false\n" \
"\n" \
"# Scroll to the prompt at the bottom of the scrollback buffer on key\n" \
"# press\n" \
"#scroll_on_keystroke=true\n" \
"\n" \
"# Scroll to the bottom of the scrollback buffer when the child sends\n" \
"# output\n" \
"#scroll_on_output=false\n" \
"\n" \
"# The number of lines to keep in the scrollback buffer\n" \
"#scrollback_lines=512\n" \
"\n" \
"# Whether the terminal will present a visible bell when the child\n" \
"# sends a bell sequence.  The terminal will clear itself to the\n" \
"# default foreground color and then repaint itself.\n" \
"#visible_bell=false\n" \
"\n" \
"# When the user double-clicks to start selection, the terminal will\n" \
"# extend the selection on word boundaries. It will treat characters\n" \
"# the word-chars characters as parts of words, and all other\n" \
"# characters as word separators. Ranges of characters can be\n" \
"# specified by separating them with a hyphen.\n" \
"word_chars=-A-Za-z0-9,./\\\\?%&#:_\n" \
"\n" \
"\n" \
"#=====================================================================" \
"==\n" \
"# Other Shells\n" \
"#=====================================================================" \
"==\n" \
"\n" \
"# You can define additional shells just like the default shell but\n" \
"# using other commands and/or settings.\n" \
"\n" \
"#[shell=python]\n" \
"#name=Python Shell\n" \
"#command=python\n" \
"#track_title=false\n" \
"\n" \
"#[shell=irb]\n" \
"#name=Ruby Shell\n" \
"#command=irb\n" \
"#track_title=false\n"



